Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jms.inflow
Class JmsServerSessionPool

    java.lang.Object
      org.jboss.resource.adapter.jms.inflow.JmsServerSessionPool

All Implemented Interfaces:
  javax.jms.ServerSessionPool

public class JmsServerSessionPool
extends Object
implements javax.jms.ServerSessionPool

A generic jms session pool.

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock

Constructor Summary
`JmsServerSessionPool(JmsActivation activation)` Create a new session pool

Method Summary
`JmsActivation` | `getActivation()`
`javax.jms.ServerSession` | `getServerSession()`
`protected void` | `returnServerSession(JmsServerSession session)` Return the server session
`protected void` | `setupConsumer()` Setup the connection consumer
`protected void` | `setupSessions()` Setup the sessions
`void` | `start()` Start the server session pool
`void` | `stop()` Stop the server session pool
`protected void` | `teardownConsumer()` Stop the connection consumer
`protected void` | `teardownSessions()` Stop the sessions

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsServerSessionPool

    public JmsServerSessionPool(JmsActivation activation)

  Create a new session pool

Parameters:
  `activation` - the jms activation

Method Detail

### getActivation

    public JmsActivation getActivation()

  Returns:
    the activation

### start

    public void start()
               throws Exception

  Start the server session pool

  Throws:
    `Exeption` - for any error
    `Exception`

### stop

    public void stop()

  Stop the server session pool

### getServerSession

    public javax.jms.ServerSession getServerSession()
                                             throws javax.jms.JMSException

  Specified by:
    `getServerSession` in interface `javax.jms.ServerSessionPool`
  Throws:
    `javax.jms.JMSException`

### returnServerSession

    protected void returnServerSession(JmsServerSession session)

  Return the server session

  Parameters:
    `session` - the session

### setupSessions

    protected void setupSessions()
                          throws Exception

  Setup the sessions

  Throws:
    `Exeption` - for any error
    `Exception`

### teardownSessions

    protected void teardownSessions()

  Stop the sessions

### setupConsumer

    protected void setupConsumer()
                          throws Exception

  Setup the connection consumer

  Throws:
    `Exeption` - for any error
    `Exception`

### teardownConsumer

    protected void teardownConsumer()

  Stop the connection consumer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.